Runtime

## org.eclipse.gmf.runtime.common.ui.services.properties.extended
Class PropertyPagePropertyDescriptor

    java.lang.Object
      org.eclipse.ui.views.properties.PropertyDescriptor
          org.eclipse.gmf.runtime.common.ui.services.properties.extended.ExtendedPropertyDescriptor
              org.eclipse.gmf.runtime.common.ui.services.properties.extended.PropertyPagePropertyDescriptor

All Implemented Interfaces:
  IAdaptable, ICompositeSourcePropertyDescriptor, IExtendedPropertyDescriptor, IPropertyDescriptor

public abstract class PropertyPagePropertyDescriptor
extends ExtendedPropertyDescriptor
implements IAdaptable

A property descriptor for a property that is edited via a property page.

Implements IAdaptable. When the cell editor for this descriptor is asked to show the property page, the dialog action is initialized with an instance of this object as its selection. The property page dialog and property pages expect to be able to talk to this object as all of the following types:

- IPropertySource

Constructor Summary
`PropertyPagePropertyDescriptor(java.lang.Object id, java.lang.String displayName)` Creates a property page property descriptor with the given id, and display name.

Method Summary
`protected CellEditor` `createCellEditor(Composite parent)` Creates a cell editor for the property descriptor
`CellEditor` `createPropertyEditor(Composite parent)` The `PropertyPagePropertyDescriptor` implementation of this `IPropertyDescriptor` method creates and returns a new `PropertyPageCellEditor`.
`abstract java.util.List` `createPropertyPages()` Creates and returns property pages for the property descriptor
`java.lang.Object` `getAdapter(java.lang.Class adapter)` Adapts this propertyDescriptor to its IPropertySource or IActionFilter, IPropertyDescriptor or CellEditor source.
`protected boolean` `isSameValue(java.lang.Object value)` Determines if `value` is the same value as is already on the property source.

Methods inherited from class org.eclipse.gmf.runtime.common.ui.services.properties.extended.ExtendedPropertyDescriptor
`getBlank, getDisplayName, getPropertySource, getPropertyValue, isCompatibleWith, isDirty, isReadOnly, resetPropertyValue, setDirtyFlag, setDisplayName, setPropertySource, setPropertyValue, setReadOnly`

Methods inherited from class org.eclipse.ui.views.properties.PropertyDescriptor
`getAlwaysIncompatible, getCategory, getDescription, getFilterFlags, getHelpContextIds, getId, getLabelProvider, getValidator, isLabelProviderSet, setAlwaysIncompatible, setCategory, setDescription, setFilterFlags, setHelpContextIds, setLabelProvider, setValidator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.ui.services.properties.extended.IExtendedPropertyDescriptor
`setValidator`

Methods inherited from interface org.eclipse.gmf.runtime.common.ui.services.properties.descriptors.ICompositeSourcePropertyDescriptor
`setCategory`

Methods inherited from interface org.eclipse.ui.views.properties.IPropertyDescriptor
`getCategory, getDescription, getFilterFlags, getHelpContextIds, getId, getLabelProvider`

Constructor Detail

### PropertyPagePropertyDescriptor

    public PropertyPagePropertyDescriptor(java.lang.Object id,
                                          java.lang.String displayName)

  Creates a property page property descriptor with the given id, and display name.

Parameters:
  `id` - the id of the property
  `displayName` - the name to display for the property

Method Detail

### createPropertyPages

    public abstract java.util.List createPropertyPages()

  Creates and returns property pages for the property descriptor

  Returns:
    List the list of property pages

### createPropertyEditor

    public CellEditor createPropertyEditor(Composite parent)

  The `PropertyPagePropertyDescriptor` implementation of this `IPropertyDescriptor` method creates and returns a new `PropertyPageCellEditor`.

  The editor is configured with the current validator if there is one.

  Specified by:
    `createPropertyEditor` in interface `IPropertyDescriptor`

### createCellEditor

    protected CellEditor createCellEditor(Composite parent)

  Creates a cell editor for the property descriptor

  Parameters:
    `parent` - the parent composite
  Returns:
    CellEditor the cell editor

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

  Adapts this propertyDescriptor to its IPropertySource or IActionFilter, IPropertyDescriptor or CellEditor source.

  Specified by:
    `getAdapter` in interface `IAdaptable`
  Parameters:
    `adapter` - The adapter class
  Returns:
    the adapted object, or null if I don't adapt to `adapter`

### isSameValue

    protected boolean isSameValue(java.lang.Object value)

  Determines if `value` is the same value as is already on the property source.

  Parameters:
    `value` - to be verified
  Returns:
    `true` if the value is the same value as on the property source, `false` otherwise

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.